# Class LargeFileLimitsPreferenceHandler.FileLimit

java.lang.Object
org.eclipse.ui.internal.LargeFileLimitsPreferenceHandler.FileLimit

Enclosing class:
  `LargeFileLimitsPreferenceHandler`

public static class LargeFileLimitsPreferenceHandler.FileLimit extends Object
An editor and file size pair.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`editorId`
`final long`
`fileSize`

## Constructor Summary

Constructors
Constructor
Description
`FileLimit(String editorId, long fileSize)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### editorId

public final String editorId

### fileSize

public final long fileSize

## Constructor Details

### FileLimit

public FileLimit(String editorId, long fileSize)

Parameters:
  `editorId` - the ID of the editor that should be used for files above the specified size
  `fileSize` - the size in bytes

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`